/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2022 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f3xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define TS_activate_MUXed_Pin GPIO_PIN_0
#define TS_activate_MUXed_GPIO_Port GPIOA
#define ASMS_Pin GPIO_PIN_1
#define ASMS_GPIO_Port GPIOA
#define INITIAL_OPEN_Pin GPIO_PIN_2
#define INITIAL_OPEN_GPIO_Port GPIOA
#define CLOSED_Pin GPIO_PIN_3
#define CLOSED_GPIO_Port GPIOA
#define REOPENED_Pin GPIO_PIN_4
#define REOPENED_GPIO_Port GPIOA
#define WD_OK_Pin GPIO_PIN_5
#define WD_OK_GPIO_Port GPIOA
#define SDC_is_ready_Pin GPIO_PIN_6
#define SDC_is_ready_GPIO_Port GPIOA
#define SDC_in_3V3_Pin GPIO_PIN_7
#define SDC_in_3V3_GPIO_Port GPIOA
#define LV_SENSE_1_Pin GPIO_PIN_0
#define LV_SENSE_1_GPIO_Port GPIOB
#define LV_SENSE_2_Pin GPIO_PIN_1
#define LV_SENSE_2_GPIO_Port GPIOB
#define AMI_EBSTEST_Pin GPIO_PIN_10
#define AMI_EBSTEST_GPIO_Port GPIOB
#define AMI_INSPECTION_Pin GPIO_PIN_11
#define AMI_INSPECTION_GPIO_Port GPIOB
#define AS_close_SDC_Pin GPIO_PIN_9
#define AS_close_SDC_GPIO_Port GPIOA
#define Watchdog_Pin GPIO_PIN_10
#define Watchdog_GPIO_Port GPIOA
#define AMC_Pin GPIO_PIN_15
#define AMC_GPIO_Port GPIOA
#define ASB_Error_Pin GPIO_PIN_4
#define ASB_Error_GPIO_Port GPIOB
#define AMI_TRACKDRIVE_Pin GPIO_PIN_5
#define AMI_TRACKDRIVE_GPIO_Port GPIOB
#define AMI_AUTOX_Pin GPIO_PIN_6
#define AMI_AUTOX_GPIO_Port GPIOB
#define AMI_SKIDPAD_Pin GPIO_PIN_7
#define AMI_SKIDPAD_GPIO_Port GPIOB
#define AMI_ACCEL_Pin GPIO_PIN_8
#define AMI_ACCEL_GPIO_Port GPIOB
#define AMI_MANUAL_Pin GPIO_PIN_9
#define AMI_MANUAL_GPIO_Port GPIOB
/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
